petsc-3.4.2 2013-07-02

# KSPSetFischerGuess

Use the Paul Fischer algorithm created by KSPFischerGuessCreate()

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetFischerGuess(KSP ksp,KSPFischerGuess guess)

Logically Collective on KSP

### Input Parameters

| ksp | - the Krylov context
| guess | - the object created with KSPFischerGuessCreate()

Notes: this allows a single KSP to be used with several different initial guess generators (likely for different linear solvers, see KSPSetPC()).

This increases the reference count of the guess object, you must destroy the object with KSPFischerGuessDestroy() before the end of the program.

### Keywords

KSP, set, options, prefix, database

### See Also

KSPSetOptionsPrefix(), KSPAppendOptionsPrefix(), KSPSetUseFischerGuess(), KSPSetFischerGuess(), KSPGetFischerGuess()

Level:advanced
Location:src/ksp/ksp/interface/itcl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages